## org.apache.solr.client.solrj.impl
Class BinaryResponseParser

    java.lang.Object
      org.apache.solr.client.solrj.ResponseParser
          org.apache.solr.client.solrj.impl.BinaryResponseParser

    public class BinaryResponseParser

extends ResponseParser

Since:
  solr 1.3
Version:
  $Id: BinaryResponseParser.java 1065312 2011-01-30 16:08:25Z rmuir $

Constructor Summary
`BinaryResponseParser()`

Method Summary
`String` `getVersion()`
`String` `getWriterType()`
`NamedList<Object>` `processResponse(InputStream body, String encoding)`
`NamedList<Object>` `processResponse(Reader reader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinaryResponseParser

    public BinaryResponseParser()

Method Detail

### getWriterType

    public String getWriterType()

  Specified by:
    `getWriterType` in class `ResponseParser`

### processResponse

    public NamedList<Object> processResponse(InputStream body,
                                             String encoding)

  Specified by:
    `processResponse` in class `ResponseParser`

### getVersion

    public String getVersion()

  Overrides:
    `getVersion` in class `ResponseParser`
  Returns:
    the version param passed to solr

### processResponse

    public NamedList<Object> processResponse(Reader reader)

  Specified by:
    `processResponse` in class `ResponseParser`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.